import serial
import time

# Inicialize a comunicação com a porta serial do Arduino
ser = serial.Serial('COM7', 9600) # Substitua 'COM3' pela porta USB do seu Arduino

# Aguarde 2 segundos para garantir que a comunicação esteja estabelecida
time.sleep(2)

# Envie comandos para acender os LEDs
ser.write(b'1') # Ligar LED1
ser.write(b'2') # Ligar LED 2
ser.write(b'3') # Ligar LED 3

# Aguarde 2 segundos para manter os LEDs acesos
time.sleep(2)

# Envie comandos para apagar os LEDs
ser.write(b'4') # Desligar LED1
ser.write(b'5') # Desligar LED 2
ser.write(b'6') # Desligar LED 3

# Feche a comunicação com a porta serial do Arduino
ser.close()
